#! /bin/sh

main() {

##### 初期設定 #####
BIN_DIR=bin

##### 引数取得 #####
PRODUCT_NAME=$1
PRODUCT_VER=$2
JBOSS_HOME=$3

##### 初期処理 #####
JBOSS_HOME=${JBOSS_HOME}/

##### バージョンチェック #####
if [ ! -f "${JBOSS_HOME}" ]; then
	echo ${PRODUCT_NAME}は、インストールされていません。
	exit 1
fi
if [ ! -f "${JBOSS_EXE}${BIN_DIR}" ]; then
	echo ${PRODUCT_NAME}は、インストールされていません。
	exit 1
fi

##### アップデート #####
echo "${PRODUCT_NAME}のアップデート処理をします。(Ver.${PRODUCT_VER})"
exit 0

}

main $*
